Download it now!
Bug 117191 - Comment in the header/footer moves to the second page after inserting a second page
Summary: Comment in the header/footer moves to the second page after inserting a secon...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Writer-Header-Footer Writer-Comments
  Show dependency treegraph
 
Reported: 2018-04-23 18:30 UTC by Telesto
Modified: 2019-07-18 02:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-04-23 18:30:32 UTC
Description:
Comment attached to the header/footer moves to the second page after inserting a second page

Steps to Reproduce:
1. Open Writer
2. Insert a header
3. Insert a comment & and type something into it
4. Exit the header 
5. Press CTRL+ENTER (page break)

Actual Results:  
Comment moves to the second page

Expected Results:
Should be the first page


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.1.0.0.alpha0+
Build ID: 2ed7c02478968852d7d39c2c4677f2ecf3441bc7
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-22_01:00:56
Locale: nl-NL (nl_NL); Calc: CL

and in
Version: 4.3.7.2
Build ID: 8a35821d8636a03b8bf4e15b48f59794652c68ba

but not in
Versie: 4.2.0.4 
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Dieter 2018-04-23 19:08:13 UTC
Reproducible with

Version: 5.4.6.2 (x64)
Build-ID: 4014ce260a04f1026ba855d3b8d91541c224eab8
CPU-Threads: 4; BS: Windows 6.19; UI-Render: Standard; 
Gebietsschema: en-US (de_DE); Calc: group


If you press CTRL+ENTER again, comment remains on second page.
Comment 2 Xisco Faulí 2018-04-24 23:54:43 UTC
Regression introduced by:

author	Oliver-Rainer Wittmann <orw@apache.org>	2013-12-19 18:50:58 +0000
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-01-08 15:58:35 +0100
commit	0761f81643a6890457e9ef7d913ab5c88c2593a4 (patch)
tree	91bf122795dfac3f9263942ab3c5dee2b4ecea26
parent	df002e39f7518036ae1c1d2afec7a525ef902327 (diff)
123792: complete annotations on text ranges feature

Bisected with: bibisect-43max
Comment 3 QA Administrators 2019-07-18 02:49:40 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug